Subject: make install DESTDIR and libtool warnings

From: Dilyan Palauzov <[email-masked]>
Date: Tue, 29 May 2012 02:44:02 +0200

Hello,

the documentation of libtool mentions in node "Install mode"  
mode=relink, however this mode is nowhere documented.

Moreover it states, that with make install DESTDIR=somewhere things  
shall work just right.  However running make install DESTDIR over a  
Makefile created with Automake 1.12 and libtool 2.4.2 causes the  
warnings

libtool: install: warning. libxyz.la has not been install in $(libdir)-path.

on every installed executable, that depends on a libtool library.   
"make install DESTDIR" is considered a straightforward, entirely  
normal and unavoidale step in the packaging process and libtool  
generates dozens of warnings when doing this process.  Can this  
warnings disappear somehow, when they are caused by DESTDIR?

Kind regards
   Dilyan Palauzov